package cordova.plugin.BDUpdatePlugin;

import android.util.Log;

import com.baidu.autoupdatesdk.BDAutoUpdateSDK;
import com.baidu.autoupdatesdk.UICheckUpdateCallback;

import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.CallbackContext;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/**
 * This class echoes a string called from JavaScript.
 */
public class BDUpdatePlugin extends CordovaPlugin {

    @Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
        if (action.equals("coolMethod")) {
            String message = args.getString(0);
            //this.coolMethod(message, callbackContext);
            this.update();
            return true;
        }
        return false;
    }

    private void coolMethod(String message, CallbackContext callbackContext) {
        if (message != null && message.length() > 0) {
            callbackContext.success(message);
        } else {
            callbackContext.error("Expected one non-empty string argument.");
        }
    }
    private void update(){
        this.cordova.getActivity().runOnUiThread(new Runnable() {
            @Override
            public void run() {
                BDAutoUpdateSDK.uiUpdateAction(cordova.getActivity(), new UICheckUpdateCallback() {
                    @Override
                    public void onCheckComplete() {
                        Log.e("HomeActivity","无版本更新");
                    }
                });
            }
        });

    }
}
